Bug 1128841 - Review Request: openmortal - Parody of an once popular coin-up fighting game
Summary: Review Request: openmortal - Parody of an once popular coin-up fighting game
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL: http://sourceforge.net/projects/openm...
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2014-08-11 15:39 UTC by Raphael Groner
Modified: 2015-02-06 20:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-15 16:35:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora-review?


Attachments (Terms of Use)

Description Raphael Groner 2014-08-11 15:39:31 UTC
Description:

Open Mortal is a parody of the once popular coin-up fighting game, Mortal Kombat, for Windows and Linux. It is currently playable, has 18 playable characters. There is network game, team mode, etc. You can even add your own character.


Koji Builds:

  F19:  no build ---> will be soon EOL
  F20:  http://koji.fedoraproject.org/koji/taskinfo?taskID=7272809
  F21:  http://koji.fedoraproject.org/koji/taskinfo?taskID=7274027
  F22:  n/a, see F21

fedora-review:

https://raphgro.fedorapeople.org/review/openmortal/review.txt


Issues:

fedora-review shows no obvious issues.  AFAIK there might be some false-positives from rpmlint:
Added shebang and exec permissions cause of fedora-review complains: https://fedoraproject.org/wiki/Packaging_tricks#Add_shebang
No owner for general folder %{_datadir}/%{name} cause of sub packaging.
Koji fails for F21/22/rawhide due to an issue with freetype header inclusion. I don't understand what's going on.
rpmlint reports E: incorrect-fsf-address ---> see bug #700095


FAS-User:

  raphgro


Urls:

  Spec URL: https://raphgro.fedorapeople.org/review/openmortal/openmortal.spec
  SRPM URL: https://raphgro.fedorapeople.org/review/openmortal/openmortal-0.7-1.fc20.src.rpm


Additional Information:

Though, upstream seems currently not to be very active (last commit has been before 7 years), I think this game is worth to be packaged in Fedora. A quick research showed that Mageia, Slackware and PCBSD etc. seem to have packages.


Thanks for review in advance!

Comment 1 Björn 'besser82' Esser 2014-08-11 15:58:08 UTC
Taken  =)  You've already been sponsored to the packager group, so I removed FE-NEEDSPONSOR.

Comment 2 Raphael Groner 2014-08-11 18:09:30 UTC
yum localinstall:
Error: Package: openmortal-0.7-1.fc20.x86_64 (/openmortal-0.7-1.fc20.x86_64)
           Requires: perl(Translate.pl)
Error: Package: openmortal-0.7-1.fc20.x86_64 (/openmortal-0.7-1.fc20.x86_64)
           Requires: perl(Damage.pl)
Error: Package: openmortal-0.7-1.fc20.x86_64 (/openmortal-0.7-1.fc20.x86_64)
           Requires: perl(Fighter.pl)
Error: Package: openmortal-0.7-1.fc20.x86_64 (/openmortal-0.7-1.fc20.x86_64)
           Requires: perl(Rewind.pl)
Error: Package: openmortal-0.7-1.fc20.x86_64 (/openmortal-0.7-1.fc20.x86_64)
           Requires: perl(PlayerInput.pl)
Error: Package: openmortal-0.7-1.fc20.x86_64 (/openmortal-0.7-1.fc20.x86_64)
           Requires: perl(DataHelper.pl)
Error: Package: openmortal-0.7-1.fc20.x86_64 (/openmortal-0.7-1.fc20.x86_64)
           Requires: perl(Collision.pl)
Error: Package: openmortal-0.7-1.fc20.x86_64 (/openmortal-0.7-1.fc20.x86_64)
           Requires: perl(Doodad.pl)
Error: Package: openmortal-0.7-1.fc20.x86_64 (/openmortal-0.7-1.fc20.x86_64)
           Requires: perl(State.pl)
Error: Package: openmortal-0.7-1.fc20.x86_64 (/openmortal-0.7-1.fc20.x86_64)
           Requires: perl(MszCollision)
Error: Package: openmortal-0.7-1.fc20.x86_64 (/openmortal-0.7-1.fc20.x86_64)
           Requires: perl(FighterStats.pl)
Error: Package: openmortal-0.7-1.fc20.x86_64 (/openmortal-0.7-1.fc20.x86_64)
           Requires: perl(QuickSave.pl)
Error: Package: openmortal-0.7-1.fc20.x86_64 (/openmortal-0.7-1.fc20.x86_64)
           Requires: perl(Keys.pl)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


How to fix that?

Comment 3 Raphael Groner 2014-09-06 18:27:43 UTC
Comment #2 fixed. New build.

  Spec URL: https://raphgro.fedorapeople.org/review/openmortal/openmortal.spec
  SRPM URL: https://raphgro.fedorapeople.org/review/openmortal/openmortal-0.7-2.fc20.src.rpm

rpmlint:
openmortal-fonts.noarch: W: no-documentation
openmortal-characters.noarch: W: no-documentation
openmortal-data.noarch: W: no-documentation
→ http://fedoraproject.org/wiki/Common_Rpmlint_issues#no-documentation
This is a subpackage and the relevant documentation was included in the main package. This often happens with the -devel subpackage, but you should at least double check to ensure that any of the package's documentation which is intended for developers is included in the -devel subpackage. 

openmortal.x86_64: E: incorrect-fsf-address /usr/share/doc/openmortal/COPYING
As upstream seems to be inactive, this should be okay, also see bug #700095.

openmortal.x86_64: W: no-manual-page-for-binary openmortal
Upstream does not provide any manpages.


(In reply to Björn "besser82" Esser from comment #1)
> Taken  =)  You've already been sponsored to the packager group, so I removed
> FE-NEEDSPONSOR.

Any thoughts left?

Comment 5 Raphael Groner 2014-09-07 11:44:55 UTC
New Package SCM Request
=======================
Package Name: openmortal
Short Description: Open Mortal is a parody of the once popular coin-up fighting game, Mortal Kombat.
Upstream URL: http://sourceforge.net/projects/openmortal/
Owners: raphgro
Branches: f20 f21
InitialCC: besser82

Comment 6 Raphael Groner 2014-09-07 15:00:26 UTC
Still awaiting review.

Comment 7 Michael Schwendt 2014-09-10 10:07:46 UTC
> - fix fsf address

https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address


> %{_datadir}/%{name}/script/

https://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership
https://fedoraproject.org/wiki/Packaging:UnownedDirectories


> %package fonts
> %{_datadir}/%{name}/fonts/

The other two subpackages require the base package, why not this one too?

Comment 8 Raphael Groner 2014-09-10 12:35:43 UTC
(In reply to Michael Schwendt from comment #7)
> > - fix fsf address
> 
> https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address

Upstream is already informed:

Patch1:         http://sf.net/p/openmortal/bugs/21/attachment/openmortal-0.7-fix-fsf-address.patch


> > %{_datadir}/%{name}/script/
> 
> https://fedoraproject.org/wiki/Packaging:
> Guidelines#File_and_Directory_Ownership
> https://fedoraproject.org/wiki/Packaging:UnownedDirectories

What do you want to tell me? I am thinking about moving the script/ folder into the data package, but still trying to understand the purpse of all that embedded perl.

 
> > %package fonts
> > %{_datadir}/%{name}/fonts/
> 
> The other two subpackages require the base package, why not this one too?

Because someone should be able to use the fonts as standalone without the need to install also any game.

Comment 9 Michael Schwendt 2014-09-10 15:53:14 UTC
> Upstream is already informed:

Continue with reading the page. Don't stop after the first sentence.


> What do you want to tell me?

Directory %{_datadir}/%{name} is not included in your package(s) yet.

Comment 10 Stephen Gallagher 2014-09-11 20:11:23 UTC
Requesting review by the legal team. There may be legal issues involved, given the source material.

Comment 11 Raphael Groner 2014-09-12 11:54:49 UTC
(In reply to Stephen Gallagher from comment #10)
> Requesting review by the legal team. There may be legal issues involved,
> given the source material.

https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Clarification

For the fonts case, I can not find anything in the web that says clearly where the fonts are from or what source they had. Should I try to contact upstream?

Comment 12 Stephen Gallagher 2014-09-12 12:41:16 UTC
Yes, definitely contact upstream if there is any question about the font licensing. Ideally ask them to add it to their tarball, but putting it up on their website publicly would be sufficient if they don't want to roll a new release.

Comment 13 Stephen Gallagher 2014-09-12 12:50:57 UTC
Doing a quick search, it appears that at least some of these fonts come from fontsupply.com, which has the following disclaimer[1]:

"All fonts are the properties of their respective owners. FontSupply.com does not claim ownership of any fonts available on the site. All fonts have been acquired by either being uploaded by the author or user, freeware, shareware, or a demo of the font... FontSupply.com assumes that files presented to us by users are free for distribution. If you find a file that should not be distributed freely please let us know and we will remove the file."

There is no explicit license of the fonts and they are only assumed to be free for distribution. I am not a lawyer and cannot give legal advice, but I suspect this will be unacceptable[2]. Probably you will need to remove these fonts from the tarball[3] and modify the project to use fonts already available and approved in Fedora.

Of course, all of this assumes that Legal reviews the potential trademark situation and finds it legally acceptable.


[1] http://www.fontsupply.com/disclaimer.php
[2] http://fedoraproject.org/wiki/Legal_considerations_for_fonts
[3] http://fedoraproject.org/wiki/Packaging:SourceURL#When_Upstream_uses_Prohibited_Code

Comment 14 Raphael Groner 2014-09-14 15:50:51 UTC
(In reply to Michael Schwendt from comment #7)
(In reply to Michael Schwendt from comment #9)

Spec URL: https://raphgro.fedorapeople.org/review/openmortal/openmortal.spec
SRPM URL: https://raphgro.fedorapeople.org/review/openmortal/openmortal-0.7-4.fc20.src.rpm

Rawhide build: http://koji.fedoraproject.org/koji/taskinfo?taskID=7576267


(In reply to Stephen Gallagher from comment #12)
(In reply to Stephen Gallagher from comment #13)

Stephen, thanks a lot for your explanation of legal issues at the fonts where I do fully confirm. But consider thar upstream is inactive since years. Therefore, it's doubtful that a notice to upstream will decide anything and in the short term.

Maybe it's the easier way to move this package to RPM Fusion and avoid all that nasty legal discussion?

Comment 15 Stephen Gallagher 2014-09-15 13:28:46 UTC
(In reply to Raphael Groner from comment #14)
> (In reply to Michael Schwendt from comment #7)
> (In reply to Michael Schwendt from comment #9)
> 
> Spec URL: https://raphgro.fedorapeople.org/review/openmortal/openmortal.spec
> SRPM URL:
> https://raphgro.fedorapeople.org/review/openmortal/openmortal-0.7-4.fc20.src.
> rpm
> 
> Rawhide build: http://koji.fedoraproject.org/koji/taskinfo?taskID=7576267
> 
> 
> (In reply to Stephen Gallagher from comment #12)
> (In reply to Stephen Gallagher from comment #13)
> 
> Stephen, thanks a lot for your explanation of legal issues at the fonts
> where I do fully confirm. But consider thar upstream is inactive since
> years. Therefore, it's doubtful that a notice to upstream will decide
> anything and in the short term.

As I said, this *could* be resolved as a packager fix rather than an upstream one: you could remove the questionable fonts from the tarball before uploading it and then patch the source code to use some existing fonts that are packaged (They won't look the same as the upstream release, but I suspect that people are more concerned with the gameplay).


> Maybe it's the easier way to move this package to RPM Fusion and avoid all
> that nasty legal discussion?

RPM Fusion doesn't protect you from either of these legal issues. If there's a trademark or likeness issue, then RPM Fusion cannot carry it either. As for the fonts, I'm not sure how they would handle that, but you'd likely need to get a legal opinion either way, so scrubbing the fonts from the tarball is likely to be needed regardless.

So for the moment, I'd wait to hear a real legal opinion.

Comment 16 Raphael Groner 2014-09-15 16:35:49 UTC
Closing. Sorry but I have neither interest in patching those upstream fonts, nor fighting with legal issues. If someone else is still interested in an official Fedora Mortal, this here is your chance. Thanks a lot for your help so far.

Comment 17 Raphael Groner 2014-10-05 12:38:08 UTC
At least, thin.ttf is definitely not redistributable within Fedora. Fontforge warns about an FS Type of 2 and "not editable".


Note You need to log in before you can comment on or make changes to this bug.